%global perlname XML-Entities

Name:      perl-XML-Entities
Version:   1.0000
Release:   1%{?dist}
Summary:   Decode strings with XML entities

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/XML-Entities/
Source:    http://search.cpan.org/CPAN/authors/id/S/SI/SIXTEASE/%{perlname}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) perl(LWP::Simple) perl(Test::More)

Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}


%description
This module provides a mapping from the standard XML entities to their Unicode
characters. A function for decoding is provided. The mapping can be generated
from a DTD file with entity definitions.


%prep
%setup -q -n %{perlname}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';' -print
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';' -print
%{_fixperms} $RPM_BUILD_ROOT/*


%clean
rm -rf %{buildroot}


%check
make test


%files
%defattr(-, root, root, -)
%doc Changes README
%{_mandir}/man3/XML*
%{_mandir}/man3/download-entities.*
%{_mandir}/man1/download-entities.*
%{_bindir}/download-entities.pl
%{perl_vendorlib}/XML


%changelog
* Mon Aug 30 2010 Remi Collet <Fedora@famillecollet.com> 1.0000-1
- update to 1.000 
- remove Source1 as Entities are now shipped with the module itself

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0307-2
- Mass rebuild with perl-5.12.0

* Sat Jan 09 2010 Remi Collet <Fedora@famillecollet.com> 0.0307-1
- update to 0.0307

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.03-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 10 2008 Remi Collet <Fedora@famillecollet.com> 0.03-1
- update to 0.03

* Fri Apr 04 2008 Remi Collet <Fedora@famillecollet.com> 0.02-3
- enable test in all distro 
  (known to fail on EL4, must work on this issue)

* Thu Apr 03 2008 Remi Collet <Fedora@famillecollet.com> 0.02-2
- comment from review (#436611)

* Sat Mar  8 2008 Remi Collet <Fedora@famillecollet.com> 0.02-1
- initial spec

